<?xml version="1.0" encoding="utf-8" standalone="yes"?><rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom"><channel><title>Management APIs on</title><link>https://docs.gathr.ai/gathr-unlimited/7.6.0/docs/management_apis/</link><description>Recent content in Management APIs on</description><generator>Hugo -- gohugo.io</generator><lastBuildDate>Sun, 11 Dec 2022 19:37:55 +0530</lastBuildDate><atom:link href="https://docs.gathr.ai/gathr-unlimited/7.6.0/docs/management_apis/index.xml" rel="self" type="application/rss+xml"/><item><title>Gathr APIs Introduction</title><link>https://docs.gathr.ai/gathr-unlimited/7.6.0/docs/management_apis/rest_api_intro/</link><pubDate>Sun, 11 Dec 2022 21:01:49 +0530</pubDate><guid>https://docs.gathr.ai/gathr-unlimited/7.6.0/docs/management_apis/rest_api_intro/</guid><description>👉 Access to REST API operations is only available to users with a business plan subscription. Use Gathr API REST calls to accomplish tasks within your account.
Understand the prerequisites and discover the APIs to start, stop, update Gathr applications, and retrieve their status in the sections listed below:
The Ingestion Application APIs enables you to start, stop, and update Ingestion applications and retrieve their status.
The ETL Application APIs enables you to start, stop, and update ETL applications and retrieve their status.</description></item><item><title>API Access Prerequisites</title><link>https://docs.gathr.ai/gathr-unlimited/7.6.0/docs/management_apis/api_access_prerequisites/</link><pubDate>Sun, 11 Dec 2022 21:01:49 +0530</pubDate><guid>https://docs.gathr.ai/gathr-unlimited/7.6.0/docs/management_apis/api_access_prerequisites/</guid><description>Utilize the REST APIs to perform various actions in your Gathr account.
To access Gathr and perform tasks using REST APIs, you will need to provide your Gathr account’s API key as a header in the respective API service.
Generate Access Key # The steps to generate a Gathr account’s API key are described below:
Login to your Gathr account and navigate to the User Profile section.
On the Access Keys tab, click on GENERATE KEY.</description></item><item><title>Ingestion Application APIs</title><link>https://docs.gathr.ai/gathr-unlimited/7.6.0/docs/management_apis/data_ingestion_apis/</link><pubDate>Sun, 11 Dec 2022 21:01:49 +0530</pubDate><guid>https://docs.gathr.ai/gathr-unlimited/7.6.0/docs/management_apis/data_ingestion_apis/</guid><description>👉 Access to REST API operations is only available to users with a business plan subscription. Gathr’s REST API supports the following actions on Ingestion applications:
Start Ingestion Application
Stop Ingestion Application
Get Ingestion Application Status
Update Ingestion Application
Start Ingestion Application # This API will start a Gathr Ingestion application with the following REST call.
Request URL # POST https://app.gathr.ai/api/v1/application/start Headers # Parameter Name Description Content-Type application/json Authorization &amp;lt; gathr-user-token &amp;gt; Request Body # { &amp;quot;name&amp;quot;:&amp;quot;&amp;lt;your_ingestion_app_name&amp;gt;&amp;quot;, &amp;quot;appType&amp;quot;:&amp;quot;ingestion&amp;quot;, &amp;quot;projectName&amp;quot;:&amp;quot;&amp;lt;your_project_name&amp;gt;&amp;quot; } Request Body Parameters # Name Required Description name YES The name of the Ingestion application to be started.</description></item><item><title>ETL Application APIs</title><link>https://docs.gathr.ai/gathr-unlimited/7.6.0/docs/management_apis/etl_apis/</link><pubDate>Sun, 11 Dec 2022 21:01:49 +0530</pubDate><guid>https://docs.gathr.ai/gathr-unlimited/7.6.0/docs/management_apis/etl_apis/</guid><description>👉 Access to REST API operations is only available to users with a business plan subscription. Gathr’s REST API supports the following actions on ETL applications:
Start ETL Application
Stop ETL Application
Get ETL Application Status
Update ETL Application
Start ETL Application # This API will start a Gathr ETL application with the following REST call.
Request URL # POST https://app.gathr.ai/api/v1/application/start Headers # Parameter Name Description Content-Type application/json Authorization &amp;lt; gathr-user-token &amp;gt; Request Body # { &amp;quot;name&amp;quot;:&amp;quot;&amp;lt;your_etl_app_name&amp;gt;&amp;quot;, &amp;quot;appType&amp;quot;:&amp;quot;etl&amp;quot;, &amp;quot;projectName&amp;quot;:&amp;quot;&amp;lt;your_project_name&amp;gt;&amp;quot; } Request Body Parameters # Name Required Description name YES The name of the ETL application to be started.</description></item><item><title>Workflow APIs</title><link>https://docs.gathr.ai/gathr-unlimited/7.6.0/docs/management_apis/workflow_apis/</link><pubDate>Sun, 11 Dec 2022 21:01:49 +0530</pubDate><guid>https://docs.gathr.ai/gathr-unlimited/7.6.0/docs/management_apis/workflow_apis/</guid><description>👉 Access to REST API operations is only available to users with a business plan subscription. Gathr’s REST API supports the following actions on Workflows:
Trigger Workflow
Get Workflow Status
Trigger workflow # This API will trigger a Gathr Workflow with the following REST call.
👉 The trigger call can only be performed on Unscheduled Workflows or the Workflows that are scheduled with the frequency set to None. Request URL # POST https://app.</description></item></channel></rss>